Subject: Re: [PATCH v3] perl/Git.pm: add parse_rev method

From: Lea Wiemann <[email-masked]>
Date: Mon, 02 Jun 2008 15:51:18 +0200

Junio C Hamano wrote:
> I think that is sensible, and the method can stay parse_rev, not get_hash,
> don't you think?

I'm not sure -- on the hand hand, parse_rev resembles "rev-parse" and 
might be more intuitive for that reason.

On the other hand though, the mis-named "revision" arguments get passed 
into many methods (right now get_hash, get_type, and cat_blob, but many 
more to come).  Calling them "revision" everywhere is bound to cause 
major confusion, so I'll probably have to rename the arguments anyway. 
But then, get_hash will be much more intuitive to understand than 
parse_rev since the API won't talk about "revisions" anywhere.

Also, get_hash indicates that it returns a hash and implies that it 
takes an object name, but parse_rev indicates neither of those.  Since 
Git.pm doesn't mimic Git's command-line API anyway, I'd rather have 
clear method names.

-- Lea